Host Datastore System Remove Datastore

Host Datastore System Remove Datastore
Removes a datastore from a host.

Removes a datastore from a host.

Required privileges: Host.Config.Storage

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/HostDatastoreSystem/{moId}/RemoveDatastore
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostDatastoreSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
RemoveDatastoreRequestType of type(s) application/json
Required

Show optional properties

{
    "datastore": {}
}
{
    "datastore": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
datastore
Required

The datastore to be removed.

Authentication
This operation uses the following authentication methods.
Responses
204

No Content

Operation doesn't return any data structure

500

NotFound: if the datastore could not be found.

HostConfigFault: if unable to umount the NAS volume for NAS datastore, or gather the existing volume information.

ResourceInUse: for a VMFS volume if there is any VM registered on any host attached to this datastore.

ResourceInUse: for a NFS volume if there is any VM residing on this datastore and registered on this host.

Returns VimFault of type(s) application/json
This response body class contains all of the following: MethodFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"datastore":"{}"}' https://{api_host}/sdk/vim25/{release}/HostDatastoreSystem/{moId}/RemoveDatastore